Subject: [Fwd: RE: Does the First Line of SDP need a newline]

From: Christian Groves <[email-masked]>
Date: Tue, 13 Mar 2001 16:55:38 +1100

G'Day Brian, Paul or Tom,

How do you propose to capture this in the Implementors' guide? ie. what
text do you want added.

Cheers, Christian

-------- Original Message --------
Subject: RE: Does the First Line of SDP need a newline
   Date: Tue, 6 Mar 2001 11:04:06 -0600
   From: "Paul Long" <[email-masked]>
     To: "megaco" <[email-masked]>

 Tom,So is the consensus that both of the examples in Brian's first
posting to this thread are perfectly valid (that's what I think) but
that it might be prudent for an entity to encode "{v=" in case the
receiving entity isn't compliant in this regard? Or should an entity
encode it as "{\nv="? IOW, which do you think is the more conservative
and therefore interoperable encoding?Paul LongipDIalog, Inc.

     -----Original Message-----
     From: [email-masked]
     [mailto:[email-masked]]On Behalf Of Tom-PT
     Taylor
     Sent: Tuesday, March 06, 2001 4:26 AM
     To: Rosen, Brian; 'Chuong Nguyen'; megaco
     Subject: RE: Does the First Line of SDP need a newline

     Sounds good to me.  It's an issue for Megaco parsers, not SDP
     parsers, because it is up to the Megaco parser to present the
     SDP to the SDP parser in the form it expects it.

          -----Original Message-----
          From: Rosen, Brian [mailto:[email-masked]]
          Sent: Wednesday, February 21, 2001 1:18 PM
          To: 'Chuong Nguyen'; megaco
          Subject: RE: Does the First Line of SDP need a
          newline

          I think we have consensus that the SDP spec requires
          no whitespace,but David Stonehouse points out that
          it's the Megaco part that hastrailing whitespace
          after the LBRKT, so, in theory, the SDP parserwould
          not see the whitespace. Tom Taylor, you might want
          to make this call, but I think that we ought to
          say,allowed, but discouraged, ie don't send it, but
          accept it.Brian

               -----Original Message-----
               From: Chuong Nguyen
               [mailto:[email-masked]]
               Sent: Wednesday, February 21, 2001 12:31
               PM
               To: megaco
               Subject: Re: Does the First Line of SDP
               need a newline

               We do the same thing too.
               We checked last year and it is in the SDP
               spec.

               Sophia Scoggins wrote:

              >  We use a third-party SDP parser which
              >  requires SDP starting at a new line. Is
              >  it specified in SDP spec?
              >
              >  "Rosen, Brian" wrote:
              >  >
              >  > Is this legal?
              >  >
              >  >         Add=termA { Media { Local {v=0
              >
              >  > m=....
              >  >
              >  > or does is HAVE to be
              >  >            Add=termA { Media { Local {
              >
              >  > v=0
              >  > m=...
              >  >
              >  > Inquiring minds want to know!!!
              >  >
              >  > Brian

               --
                 Alcatel USA, Inc             Internet: [email-masked]
                 1000 Coit Road Plano, Texas 75075           Phone:    (972) 519-4613
                 **** The opinions expressed are not those of Alcatel USA, Inc ****